%global __requires_exclude pythonegg\\(3\\)\\(ipaddress|pythonegg\\(3\\)\\(backports.ssl-match-hostname

%define pypi_name docker-pycreds

Name:           python-%{pypi_name}
Version:        0.2.1
Release:        %mkrel 1
Summary:        Python bindings for the docker credentials store API
License:        Apache Software License
Group:          Development/Python
URL:            http://www.docker.com
Source0:        https://github.com/shin-/dockerpy-creds/archive/%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)
BuildRequires:  pythonegg(2)(pytools)

%description
A Python 2 interface to docker credentials store API

%package -n     python3-%{pypi_name}
Summary:        An API client for docker written in Python 3
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)
BuildRequires:  pythonegg(3)(pytools)
BuildRequires:  pythonegg(3)(websocket-client) >= 0.11.0
BuildRequires:  pythonegg(3)(requests)
Requires:       docker

%description -n python3-%{pypi_name}
A Python 3 interface to docker credentials store API

%prep
%setup -q -n dockerpy-creds-%{version}

# Remove bundled egg-info
rm -rf docker_py.egg-info

cp -a . %{py3dir}

pushd %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
popd

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
%py2_install

pushd %{py3dir}
%py3_install
popd

%files
%doc LICENSE README.md
%{python2_sitelib}/dockerpycreds/
%{python2_sitelib}/docker_pycreds-%{version}-py%{python2_version}.egg-info/

%files -n python3-%{pypi_name}
%doc LICENSE README.md
%{python3_sitelib}/dockerpycreds/
%{python3_sitelib}/docker_pycreds-%{version}-py%{python3_version}.egg-info/


%changelog
* Wed Nov 23 2016 bcornec <bcornec> 0.2.1-1.mga6
+ Revision: 1069368
- Import python-docker-pycreds for docker-compose 1.9.0
- Created package structure for python-docker-pycreds.

